#
# spec file for package growpart-rootgrow
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:             growpart-rootgrow
Version:          1.0.7
Release:          0
Url:              https://github.com/SUSE-Enceladus/rootgrow
Summary:          Simple Wrapper for growpart
License:          GPL-3.0+
Group:            System/Management
Source:           growpart-rootgrow.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-build
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    systemd-rpm-macros
Requires:         python3-setuptools
Requires:         util-linux
Requires(preun):  systemd
Requires(postun): systemd
BuildArch:        noarch

%description
A simple wrapper implementation for growpart

%prep
%setup -q -n rootgrow-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

install -D -m 644 systemd/rootgrow.service \
    %{buildroot}%{_unitdir}/rootgrow.service

install -D -m 644 LICENSE \
    %{buildroot}%{_defaultdocdir}/growpart-rootgrow/LICENSE

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%dir %{_defaultdocdir}/growpart-rootgrow
%{_defaultdocdir}/growpart-rootgrow/LICENSE
%{_bindir}/rootgrow
%{_unitdir}/rootgrow.service

%changelog
